/* Sistemas Integrados TECNISA

Nome: 5038_FISTRGO.SQL

Descrio:
   Trigger para gravar o log das alteraes

Criao:
   22/06/2012 - Marcelo Alexsandro

Tabela MENSAGEMREGFISC: Mensagens da Regra Fiscal.
Descrio: A trigger insere registros na tabela LOGREGRAFISCAL a partir de alteraes na tabela MENSAGEMREGFISC
*/

CREATE OR REPLACE TRIGGER LOG_FIS_MENSAGEMREGFISC
AFTER DELETE OR INSERT OR UPDATE
ON MENSAGEMREGFISC FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(3000);
  V_ITPESQ       VARCHAR2(40);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_DESC         := '';
   V_ITPESQ       := '';
   V_NMOPERADOR   := '';
   V_IDTIPOOPER   := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);

   IF UPDATING THEN
      V_DESC   := 'Mensagem = '           || :NEW.DSMENSREGRAFISC;
      V_ITPESQ       := :NEW.CDREGRAFISC||:NEW.NRMENSREGRAFISC;
      V_IDTIPOOPER   := '2';
   ELSE
      IF INSERTING THEN
         V_DESC   := 'Mensagem = '           || :NEW.DSMENSREGRAFISC;
         V_ITPESQ       := :NEW.CDREGRAFISC||:NEW.NRMENSREGRAFISC;
         V_IDTIPOOPER   := '1';
      ELSE
         IF DELETING THEN
            V_DESC   := 'Mensagem = '           || :OLD.DSMENSREGRAFISC;
            V_ITPESQ       := :OLD.CDREGRAFISC||:OLD.NRMENSREGRAFISC;
            V_IDTIPOOPER   := '3';
         END IF;
      END IF;
   END IF;
   V_DESC := SUBSTR(V_DESC, 1, 3000);
   INSERT INTO LOGREGRAFISCAL
      (NMTABELA,
       DTOPERACAO,
       NMRESPOPER,
       IDTIPOOPER,
       DSOPERACAO,
       CDPESQITEM,
       DSRDMUSUOPER,
       DSENDUSUOPER,
       DSNMUSUOPER,
       DSMETUSUOPER,
       CDORESPOPER)
    VALUES
      ('MENSAGEMREGFISC',
       SYSDATE,
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       V_DESC,
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER);
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_FIS_MENSAGEMREGFISC','5.33.xxx'); END;
/
