package com.javaseleniumtemplate.tests.naocontrolaalmoxarifado;
import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.naocontrolaalmoxarifado.ImplantacaoEstoqueNaoControlaAlmoxarifadoFlows;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.naocontrolaalmoxarifado.ImplantacaoEstoqueNaoControlaAlmoxarifadoPage;
import org.testng.annotations.Ignore;
import org.testng.annotations.Test;

public class ImplantacaoDeEstoqueNaoControlaAlmoxarifadoTests extends TestBase {
    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    ImplantacaoEstoqueNaoControlaAlmoxarifadoFlows implantacaoEstoqueNaoControlaAlmoxarifadoFlows;
    ImplantacaoEstoqueNaoControlaAlmoxarifadoPage implantacaoEstoqueNaoControlaAlmoxarifadoPage;


    @Test (description = "Est-47")
    @Ignore
    public void efetuarImplantacaoEstoque(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows = new ImplantacaoEstoqueNaoControlaAlmoxarifadoFlows();
        implantacaoEstoqueNaoControlaAlmoxarifadoPage = new ImplantacaoEstoqueNaoControlaAlmoxarifadoPage();

        //Parameteres
        String descUnidade = "HELA Nao Controla Almoxarifado";
        String descAlmoxarifado = "HELA MATRIZ";
        String quantidade = "1";
        String cmpDesc = "Teste Automatizado";
        String descProduto = "Hela Poultry Broth Paste Clear KG";
        String DescCampoLote = "T08/2023";


        loginFlows.efetuarLogin();
        mainFlows.AcessandoTrocaUnidadeNaoControlaAlmoxarifado();
        mainFlows.AcessandoImplantacaoEstoque();
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows.aplicarFiltro(descUnidade,descAlmoxarifado);
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows.AdicionarImplantacaoEstoque(quantidade,cmpDesc,descProduto,descAlmoxarifado,DescCampoLote);

    }

    @Test(description = "Est-48")
    @Ignore
    public void editarImplantacaoEstoque(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows = new ImplantacaoEstoqueNaoControlaAlmoxarifadoFlows();
        implantacaoEstoqueNaoControlaAlmoxarifadoPage = new ImplantacaoEstoqueNaoControlaAlmoxarifadoPage();

        //Parameteres
        String descUnidade = "HELA Nao Controla Almoxarifado";
        String descAlmoxarifado = "HELA MATRIZ";
        String DescCampoLote = "T08/2023";
        //Parameteres_Editar
        String quantidadeEdit = "1,75";
        String descProduto2 = "Geflugelbruhe Paste (Hela 7562510050001)";
        String cmpDesc2 = "Deletar";

        loginFlows.efetuarLogin();
        mainFlows.AcessandoTrocaUnidadeNaoControlaAlmoxarifado();
        mainFlows.AcessandoImplantacaoEstoque();
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows.aplicarFiltro(descUnidade,descAlmoxarifado);
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows.EditarImplantacaoEstoque(cmpDesc2,quantidadeEdit,descProduto2,descAlmoxarifado,DescCampoLote);

    }

    @Test(description = "Est-49")
    public void excluirImplantacaoEstoque(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows = new ImplantacaoEstoqueNaoControlaAlmoxarifadoFlows();
        implantacaoEstoqueNaoControlaAlmoxarifadoPage = new ImplantacaoEstoqueNaoControlaAlmoxarifadoPage();

        //Parameteres

        String descUnidade = "HELA Nao Controla Almoxarifado";
        String descAlmoxarifado = "HELA MATRIZ";

        loginFlows.efetuarLogin();
        mainFlows.AcessandoTrocaUnidadeNaoControlaAlmoxarifado();
       mainFlows.AcessandoImplantacaoEstoque();
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows.aplicarFiltro(descUnidade,descAlmoxarifado);
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows.ExcluirImplantacaoEstoque();

    }

    @Test(description = "Est-50")
    public void importarImplantacaoDeEstoque(){

        //Objects instances
        mainPage = new MainPage();
        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows = new ImplantacaoEstoqueNaoControlaAlmoxarifadoFlows();
        implantacaoEstoqueNaoControlaAlmoxarifadoPage = new ImplantacaoEstoqueNaoControlaAlmoxarifadoPage();

        //Parameteres

        String descUnidade = "HELA Nao Controla Almoxarifado";
        String descAlmoxarifado = "HELA MATRIZ";


        loginFlows.efetuarLogin();
        mainFlows.AcessandoTrocaUnidadeNaoControlaAlmoxarifado();
        mainFlows.AcessandoImplantacaoEstoque();
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows.aplicarFiltro(descUnidade,descAlmoxarifado);
        implantacaoEstoqueNaoControlaAlmoxarifadoFlows.ImportarImplantacaoDeEstoque();

    }
}
